Subject: bug#7031: hexl-mode ignores next-screen-context-lines

From: Stefan Monnier <[email-masked]>
Date: Tue, 08 Dec 2020 18:21:13 -0500

>> hexl-mode replaces scroll-down and scroll-up with hexl-scroll-down and
>> hexl-scroll-up, but these functions ignore next-screen-context-lines;
>> when ruler-mode is off, they scroll by exactly as many lines as are
>> shown in the window, and when ruler-mode is on (as it is by default),
>> they scroll by one line more than are visible (in other words, they
>> skip a line).
>
> This is now fixed in Emacs 28.

BTW, I believe this was already fixed in `nhexl-mode`.

        Stefan